Index: fedd/abac-src/atnvis/TestDataFromMike/Alice.prop
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/Alice.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/Alice.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,225 @@
+subject = Alice
+policy.1 = Ack[MedixFund.purchasingA] = MedixFund.cPartner
+
+update.1.location = init
+
+update.2.location = remote
+
+update.2.1.type = node
+update.2.1.name = MedSup: MedSup.discount <<-?- Alice
+update.2.1.nodeType = StandardTarget
+
+
+update.2.2.type = node
+update.2.2.nodeType = StandardTarget
+update.2.2.name = MedSup: MedSup.discount <<-?- Alice
+update.2.2.processing = unprocessed
+update.2.2.satisfied = Unknown
+
+
+update.2.3.type = node
+update.2.3.nodeType = StandardTarget
+update.2.3.name = MedSup: MedSup.discount <<-?- Alice
+update.2.3.processing = unprocessed
+update.2.3.satisfied = Unknown
+
+
+update.2.4.type = edge
+update.2.4.edgeType = Implication
+update.2.4.parentName = MedSup: MedSup.discount <<-?- Alice
+update.2.4.childName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.4.childType = RoleTarget
+update.2.4.childProcessing = verifier
+update.2.4.evidence.1 = MedSup.discount<-ReliefNet.provisioner
+
+update.2.5.type = node
+update.2.5.nodeType = StandardTarget
+update.2.5.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.5.processing = verifier
+update.2.5.satisfied = Unknown
+
+
+update.2.6.type = node
+update.2.6.nodeType = StandardTarget
+update.2.6.name = MedSup: MedSup.discount <<-?- Alice
+update.2.6.processing = opponent
+update.2.6.satisfied = Unknown
+
+update.2.7.type = node
+update.2.7.name = MedSup: MedSup.discount <<-?- Alice
+update.2.7.processing = verifier
+
+
+update.3.location = local
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.1.childName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.1.childType = RoleTarget
+update.3.1.childProcessing = verifier
+update.3.1.evidence.1 = ReliefNet.provisioner<-MedixFund.purchasingA
+
+
+update.3.2.type = node
+update.3.2.nodeType = StandardTarget
+update.3.2.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.2.processing = verifier
+update.3.2.satisfied = Unknown
+
+
+update.3.3.type = node
+update.3.3.nodeType = StandardTarget
+update.3.3.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.4.processing = opponent
+
+
+update.3.5.type = edge
+update.3.5.edgeType = Control
+update.3.5.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.5.childName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.5.childType = RoleTarget
+update.3.5.childProcessing = opponent
+
+
+update.3.6.type = node
+update.3.6.nodeType = StandardTarget
+update.3.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.6.processing = opponent
+update.3.6.satisfied = Unknown
+
+
+update.3.7.type = edge
+update.3.7.edgeType = Implication
+update.3.7.parentName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.7.childName = Alice: ReliefNet.member <<-?- MedSup
+update.3.7.childType = RoleTarget
+update.3.7.childProcessing = verifier
+update.3.7.evidence.1 = MedixFund.cPartner<-ReliefNet.member
+
+
+update.3.8.type = node
+update.3.8.nodeType = StandardTarget
+update.3.8.name = Alice: ReliefNet.member <<-?- MedSup
+update.3.8.processing = verifier
+update.3.8.satisfied = Unknown
+
+
+update.3.9.type = node
+update.3.9.nodeType = StandardTarget
+update.3.9.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.9.processing = opponent
+update.3.9.satisfied = Unknown
+
+update.3.10.type = node
+update.3.10.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.10.processing = verifier
+
+
+
+
+update.4.location = remote
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = Alice: ReliefNet.member <<-?- MedSup
+update.4.1.childName = Alice: MedSup <<-?- MedSup
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+
+
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = Alice: MedSup <<-?- MedSup
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+
+update.4.3.type = node
+update.4.3.nodeType = StandardTarget
+update.4.3.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = TrivialTarget
+update.4.4.name = Alice: MedSup <<-?- MedSup
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = StandardTarget
+update.4.5.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.5.processing = verifier
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.nodeType = StandardTarget
+update.4.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.4.6.processing = fully
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.7.processing = opponent
+
+
+update.5.location = local
+
+update.5.1.type = edge
+update.5.1.edgeType = Implication
+update.5.1.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.1.childName = MedSup: Alice <<-?- Alice
+update.5.1.childType = TrivialTarget
+update.5.1.childProcessing = fully
+
+
+update.5.2.type = node
+update.5.2.nodeType = TrivialTarget
+update.5.2.name = MedSup: Alice <<-?- Alice
+update.5.2.processing = fully
+update.5.2.satisfied = Satisfied
+
+
+update.5.3.type = node
+update.5.3.nodeType = StandardTarget
+update.5.3.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.3.processing = verifier
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.nodeType = TrivialTarget
+update.5.4.name = MedSup: Alice <<-?- Alice
+update.5.4.processing = fully
+update.5.4.satisfied = Satisfied
+
+update.5.5.type = node
+update.5.5.nodeType = StandardTarget
+update.5.5.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.5.processing = verifier
+update.5.5.satisfied = Satisfied
+
+update.5.6.type = node
+update.5.6.nodeType = StandardTarget
+update.5.6.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.5.6.processing = fully
+update.5.6.satisfied = Satisfied
+
+update.5.7.type = node
+update.5.7.nodeType = StandardTarget
+update.5.7.name = MedSup: MedSup.discount <<-?- Alice
+update.5.7.processing = fully
+update.5.7.satisfied = Satisfied
+
+update.5.8.type = node
+update.5.8.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.8.processing = opponent
+
+
+
+
Index: fedd/abac-src/atnvis/TestDataFromMike/Alice2.prop
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/Alice2.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/Alice2.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,223 @@
+subject = Alice
+policy.1 = Ack[MedixFund.purchasingA] = MedixFund.cPartner
+
+update.2.location = remote
+
+update.2.1.type = node
+update.2.1.name = MedSup: MedSup.discount <<-?- Alice
+update.2.1.nodeType = StandardTarget
+
+
+update.2.2.type = node
+update.2.2.nodeType = StandardTarget
+update.2.2.name = MedSup: MedSup.discount <<-?- Alice
+update.2.2.processing = unprocessed
+update.2.2.satisfied = Unknown
+
+
+update.2.3.type = node
+update.2.3.nodeType = StandardTarget
+update.2.3.name = MedSup: MedSup.discount <<-?- Alice
+update.2.3.processing = unprocessed
+update.2.3.satisfied = Unknown
+
+
+update.2.4.type = edge
+update.2.4.edgeType = Implication
+update.2.4.parentName = MedSup: MedSup.discount <<-?- Alice
+update.2.4.childName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.4.childType = RoleTarget
+update.2.4.childProcessing = verifier
+
+
+update.2.5.type = node
+update.2.5.nodeType = StandardTarget
+update.2.5.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.5.processing = verifier
+update.2.5.satisfied = Unknown
+
+
+update.2.6.type = node
+update.2.6.nodeType = StandardTarget
+update.2.6.name = MedSup: MedSup.discount <<-?- Alice
+update.2.6.processing = opponent
+update.2.6.satisfied = Unknown
+
+update.2.7.type = node
+update.2.7.name = MedSup: MedSup.discount <<-?- Alice
+update.2.7.processing = verifier
+
+
+update.3.location = local
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.1.childName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.1.childType = RoleTarget
+update.3.1.childProcessing = verifier
+update.3.1.evidence.1 = ReliefNet.provisioner<-MedixFund.purchasingA
+
+
+update.3.2.type = node
+update.3.2.nodeType = StandardTarget
+update.3.2.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.2.processing = verifier
+update.3.2.satisfied = Unknown
+
+
+update.3.3.type = node
+update.3.3.nodeType = StandardTarget
+update.3.3.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.4.processing = opponent
+
+
+update.3.5.type = edge
+update.3.5.edgeType = Control
+update.3.5.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.5.childName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.5.childType = RoleTarget
+update.3.5.childProcessing = opponent
+
+
+update.3.6.type = node
+update.3.6.nodeType = StandardTarget
+update.3.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.6.processing = opponent
+update.3.6.satisfied = Unknown
+
+
+update.3.7.type = edge
+update.3.7.edgeType = Implication
+update.3.7.parentName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.7.childName = Alice: ReliefNet.member <<-?- MedSup
+update.3.7.childType = RoleTarget
+update.3.7.childProcessing = verifier
+update.3.7.evidence.1 = MedixFund.cPartner<-ReliefNet.member
+
+
+update.3.8.type = node
+update.3.8.nodeType = StandardTarget
+update.3.8.name = Alice: ReliefNet.member <<-?- MedSup
+update.3.8.processing = verifier
+update.3.8.satisfied = Unknown
+
+
+update.3.9.type = node
+update.3.9.nodeType = StandardTarget
+update.3.9.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.9.processing = opponent
+update.3.9.satisfied = Unknown
+
+update.3.10.type = node
+update.3.10.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.10.processing = verifier
+
+
+
+
+update.4.location = remote
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = Alice: ReliefNet.member <<-?- MedSup
+update.4.1.childName = Alice: MedSup <<-?- MedSup
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+
+
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = Alice: MedSup <<-?- MedSup
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+
+update.4.3.type = node
+update.4.3.nodeType = StandardTarget
+update.4.3.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = TrivialTarget
+update.4.4.name = Alice: MedSup <<-?- MedSup
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = StandardTarget
+update.4.5.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.5.processing = verifier
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.nodeType = StandardTarget
+update.4.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.4.6.processing = fully
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.7.processing = opponent
+
+
+update.5.location = local
+
+update.5.1.type = edge
+update.5.1.edgeType = Implication
+update.5.1.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.1.childName = MedSup: Alice <<-?- Alice
+update.5.1.childType = TrivialTarget
+update.5.1.childProcessing = fully
+
+
+update.5.2.type = node
+update.5.2.nodeType = TrivialTarget
+update.5.2.name = MedSup: Alice <<-?- Alice
+update.5.2.processing = fully
+update.5.2.satisfied = Satisfied
+
+
+update.5.3.type = node
+update.5.3.nodeType = StandardTarget
+update.5.3.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.3.processing = verifier
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.nodeType = TrivialTarget
+update.5.4.name = MedSup: Alice <<-?- Alice
+update.5.4.processing = fully
+update.5.4.satisfied = Satisfied
+
+update.5.5.type = node
+update.5.5.nodeType = StandardTarget
+update.5.5.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.5.processing = verifier
+update.5.5.satisfied = Satisfied
+
+update.5.6.type = node
+update.5.6.nodeType = StandardTarget
+update.5.6.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.5.6.processing = fully
+update.5.6.satisfied = Satisfied
+
+update.5.7.type = node
+update.5.7.nodeType = StandardTarget
+update.5.7.name = MedSup: MedSup.discount <<-?- Alice
+update.5.7.processing = fully
+update.5.7.satisfied = Satisfied
+
+update.5.8.type = node
+update.5.8.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.8.processing = opponent
+
+
+
+
Index: fedd/abac-src/atnvis/TestDataFromMike/Alice3.prop
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/Alice3.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/Alice3.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,162 @@
+# This variant uses the Alice <-- Alice target twice
+subject = Alice
+policy.1 = Ack[MedixFund.purchasingA] = MedixFund.cPartner
+policy.2 = AC[MedixFund.purchasingA <-- Alice] = true
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.nodeType = RoleTarget
+update.1.1.name = MedSup: MedSup.discount <-- Alice
+update.1.1.processing = opponent
+
+update.1.2.type = edge
+update.1.2.edgeType = Implication
+update.1.2.parentName = MedSup: MedSup.discount <-- Alice
+update.1.2.childName = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.1.2.childType = IntersectionTarget
+update.1.2.childProcessing = verifier
+update.1.2.evidence.1 = MedSup.discount <-- A.r ^ ReliefNet.provisioner
+
+update.1.3.type = node
+update.1.3.name = MedSup: MedSup.discount <-- Alice
+update.1.3.processing = verifier
+
+update.1.4.type = edge
+update.1.4.edgeType = Intersection
+update.1.4.parentName = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.1.4.childName = MedSup: A.r <-- Alice
+update.1.4.childType = RoleTarget
+update.1.4.childProcessing = verifier
+
+update.1.5.type = edge
+update.1.5.edgeType = Intersection
+update.1.5.parentName = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.1.5.childName = MedSup: ReliefNet.provisioner <-- Alice
+update.1.5.childType = RoleTarget
+update.1.5.childProcessing = verifier
+
+
+update.2.location = local
+
+update.2.1.type = edge
+update.2.1.edgeType = Implication
+update.2.1.parentName = MedSup: ReliefNet.provisioner <-- Alice
+update.2.1.childName = MedSup: MedixFund.purchasingA <-- Alice
+update.2.1.childType = RoleTarget
+update.2.1.childProcessing = verifier
+update.2.1.evidence.1 = ReliefNet.provisioner <-- MedixFund.purchasingA
+
+update.2.2.type = node
+update.2.2.name = MedSup: ReliefNet.provisioner <-- Alice
+update.2.2.processing = opponent
+
+
+update.2.3.type = edge
+update.2.3.edgeType = Implication
+update.2.3.parentName = MedSup: A.r <-- Alice
+update.2.3.childName = MedSup: Alice <-- Alice
+update.2.3.childType = TrivialTarget
+update.2.3.childProcessing = verifier
+update.2.3.evidence.1 = A.r <-- Alice
+
+update.2.4.type = node
+update.2.4.name = MedSup: Alice <-- Alice
+update.2.4.processing = full
+update.2.4.satisfied = Satisfied
+
+update.2.5.type = node
+update.2.5.name = MedSup: A.r <-- Alice
+update.2.5.processing = opponent
+update.2.5.satisfied = Satisfied
+
+
+update.2.6.type = edge
+update.2.6.edgeType = Control
+update.2.6.parentName = MedSup: MedixFund.purchasingA <-- Alice
+update.2.6.childName = Alice: MedixFund.cPartner <-- MedSup
+update.2.6.childType = RoleTarget
+update.2.6.childProcessing = opponent
+
+update.2.7.type = edge
+update.2.7.edgeType = Implication
+update.2.7.parentName = Alice: MedixFund.cPartner <-- MedSup
+update.2.7.childName = Alice: ReliefNet.member <-- MedSup
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+update.2.7.evidence.1 = MedixFund.cPartner <-- ReliefNet.member
+
+update.2.8.type = node
+update.2.8.name = Alice: MedixFund.cPartner <-- MedSup
+update.2.8.processing = verifier
+
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = Alice: ReliefNet.member <-- MedSup
+update.3.1.childName = Alice: MedSup <-- MedSup
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = full
+
+update.3.2.type = node
+update.3.2.name = Alice: MedSup <-- MedSup
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.name = Alice: ReliefNet.member <-- MedSup
+update.3.3.processing = verifier
+update.3.3.satisfied = Satisfied
+
+update.3.4.type = node
+update.3.4.name = Alice: MedixFund.cPartner <-- MedSup
+update.3.4.processing = full
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.name = Alice: ReliefNet.member <-- MedSup
+update.3.5.processing = opponent
+
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = MedSup: MedixFund.purchasingA <-- Alice
+update.4.1.childName = MedSup: Alice <-- Alice
+update.4.1.childType = RoleTarget
+update.4.1.childProcessing = full
+
+update.4.2.type = node
+update.4.2.name = MedSup: Alice <-- Alice
+update.4.2.processing = full
+update.4.2.satisfied = Satisfied
+
+update.4.3.type = node
+update.4.3.name = MedSup: MedixFund.purchasingA <-- Alice
+update.4.3.processing = verifier
+update.4.3.satisfied = Satisfied
+
+update.4.4.type = node
+update.4.4.name = MedSup: ReliefNet.provisioner <-- Alice
+update.4.4.processing = full
+update.4.4.satisfied = Satisfied
+
+
+
+
+update.4.5.type = node
+update.4.5.name = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.4.5.processing = full
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.name = MedSup: MedSup.discount <-- Alice
+update.4.6.processing = full
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.name = MedSup: MedixFund.purchasingA <-- Alice
+update.4.7.processing = opponent
+
Index: fedd/abac-src/atnvis/TestDataFromMike/Alice4.prop
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/Alice4.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/Alice4.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,168 @@
+subject = Alice
+policy.1 = Ack[MedixFund.purchasingA] = MedixFund.cPartner
+policy.2 = AC[MedixFund.purchasingA <-- Alice] = true
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.nodeType = RoleTarget
+update.1.1.name = MedSup: MedSup.discount <-- Alice
+update.1.1.processing = opponent
+
+update.1.2.type = edge
+update.1.2.edgeType = Implication
+update.1.2.parentName = MedSup: MedSup.discount <-- Alice
+update.1.2.childName = MedSup: MedSup.cPartner.purchasingA <-- Alice
+update.1.2.childType = LinkedRoleTarget
+update.1.2.childProcessing = opponent
+update.1.2.evidence.1 = MedSup.discount <-- MedSup.cPartner.purchasingA
+
+update.1.3.type = node
+update.1.3.name = MedSup: MedSup.discount <-- Alice
+update.1.3.processing = verifier
+
+update.1.4.type = edge
+update.1.4.edgeType = LinkingMonitor
+update.1.4.parentName = MedSup: MedSup.cPartner.purchasingA <-- Alice
+update.1.4.childName = MedSup: ?X.purchasingA <-- Alice
+update.1.4.childType = LinkingGoal
+update.1.4.childProcessing = verifier
+
+
+
+update.2.location = local
+
+update.2.1.type = edge
+update.2.1.edgeType = LinkingSolution
+update.2.1.parentName = MedSup: ?X.purchasingA <-- Alice
+update.2.1.childName = MedSup: MedixFund.purchasingA <-- Alice
+update.2.1.childType = RoleTarget
+update.2.1.childProcessing = verifier
+
+update.2.2.type = edge
+update.2.2.edgeType = Control
+update.2.2.parentName = MedSup: MedixFund.purchasingA <-- Alice
+update.2.2.childName = Alice: MedixFund.cPartner <-- MedSup
+update.2.2.childType = RoleTarget
+update.2.2.childProcessing = opponent
+
+update.2.3.type = edge
+update.2.3.edgeType = Implication
+update.2.3.parentName = Alice: MedixFund.cPartner <-- MedSup
+update.2.3.childName = Alice: ReliefNet.member <-- MedSup
+update.2.3.childType = RoleTarget
+update.2.3.childProcessing = verifier
+update.2.3.evidence.1 = MedixFund.cPartner <-- ReliefNet.member
+
+update.2.4.type = node
+update.2.4.name = Alice: MedixFund.cPartner <-- MedSup
+update.2.4.processing = verifier
+
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = Alice: ReliefNet.member <-- MedSup
+update.3.1.childName = Alice: MedSup <-- MedSup
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = full
+
+update.3.2.type = node
+update.3.2.name = Alice: MedSup <-- MedSup
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.name = Alice: ReliefNet.member <-- MedSup
+update.3.3.processing = verifier
+update.3.3.satisfied = Satisfied
+
+update.3.4.type = node
+update.3.4.name = Alice: MedixFund.cPartner <-- MedSup
+update.3.4.processing = full
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.name = Alice: ReliefNet.member <-- MedSup
+update.3.5.processing = opponent
+
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = MedSup: MedixFund.purchasingA <-- Alice
+update.4.1.childName = MedSup: Alice <-- Alice
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = full
+
+update.4.2.type = node
+update.4.2.name = MedSup: Alice <-- Alice
+update.4.2.processing = full
+update.4.2.satisfied = Satisfied
+
+update.4.3.type = node
+update.4.3.name = MedSup: MedixFund.purchasingA <-- Alice
+update.4.3.processing = verifier
+update.4.3.satisfied = Satisfied
+
+# Actually, linking goals don't have satisfaction state, they have
+# solution sets, and this one's would get "MedixFund" as a solution
+# now.  But we can treat non-empty solution set as being analogous to
+# satisfaction=true for the purpose of the visualization.
+
+update.4.4.type = node
+update.4.4.name = MedSup: ?X.purchasingA <-- Alice
+update.4.4.processing = full
+update.4.4.satisfied = Satisfied
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = LinkingImplication
+update.5.1.parentName = MedSup: MedSup.cPartner.purchasingA <-- Alice
+update.5.1.childName = MedSup: MedSup.cPartner <-- MedixFund
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = opponent
+
+update.5.2.type = edge
+update.5.2.edgeType = Implication
+update.5.2.parentName = MedSup: MedSup.cPartner <-- MedixFund
+update.5.2.childName = MedSup: ReliefNet.member <-- MedixFund
+update.5.2.childType = RoleTarget
+update.5.2.childProcessing = verifier
+
+update.5.3.type = node
+update.5.3.name = MedSup: MedSup.cPartner <-- MedixFund
+update.5.3.processing = verifier
+
+update.6.location = local
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = MedSup: ReliefNet.member <-- MedixFund
+update.6.1.childName = MedSup: MedixFund <-- MedixFund
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = full
+update.6.1.satisfied = Satisfied
+
+update.6.2.type = node
+update.6.2.name = MedSup: ReliefNet.member <-- MedixFund
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.name = MedSup: MedSup.cPartner <-- MedixFund
+update.6.3.satisfied = Satisfied
+
+update.6.4.type = node
+update.6.4.name = MedSup: MedSup.cPartner.purchasingA <-- Alice
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.name = MedSup: MedSup.discount <-- Alice
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.name = MedSup: ReliefNet.member <-- MedixFund
+update.6.6.processing = opponent
+
Index: fedd/abac-src/atnvis/TestDataFromMike/CVS/Entries
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,10 @@
+/Alice.prop/1.1/Mon Jun 24 20:06:24 2002//
+/Alice2.prop/1.1/Mon Jun 24 20:06:24 2002//
+/Alice3.prop/1.1/Mon Jun 24 20:06:24 2002//
+/Alice4.prop/1.1/Mon Jun 24 20:06:24 2002//
+/MedSup.prop/1.1/Mon Jun 24 20:06:24 2002//
+/MedSup2.prop/1.1/Mon Jun 24 20:06:24 2002//
+/MedSup3.prop/1.1/Mon Jun 24 20:06:24 2002//
+/atnvis.properties/1.1/Mon Jun 24 20:06:24 2002//
+/atnvis_showproc.properties/1.1/Mon Jun 24 20:06:24 2002//
+D
Index: fedd/abac-src/atnvis/TestDataFromMike/CVS/Repository
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+atnvis/TestDataFromMike
Index: fedd/abac-src/atnvis/TestDataFromMike/CVS/Root
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+:ext:jjacobs@src.columbia.sparta.com/cvs/abac
Index: fedd/abac-src/atnvis/TestDataFromMike/MedSup.prop
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/MedSup.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/MedSup.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,224 @@
+subject = MedSup
+
+update.1.location = init
+
+update.1.1.type = node
+update.1.1.name = MedSup: MedSup.discount <<-?- Alice
+update.1.1.nodeType = StandardTarget
+
+update.1.2.type = node
+update.1.2.nodeType = StandardTarget
+update.1.2.name = MedSup: MedSup.discount <<-?- Alice
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+
+update.1.3.type = node
+update.1.3.nodeType = StandardTarget
+update.1.3.name = MedSup: MedSup.discount <<-?- Alice
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+
+update.2.location = local
+
+update.2.1.type = edge
+update.2.1.edgeType = Implication
+update.2.1.parentName = MedSup: MedSup.discount <<-?- Alice
+update.2.1.childName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.1.childType = RoleTarget
+update.2.1.childProcessing = verifier
+update.2.1.evidence.1 = MedSup.discount<-ReliefNet.provisioner
+
+
+update.2.2.type = node
+update.2.2.nodeType = StandardTarget
+update.2.2.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.2.processing = verifier
+update.2.2.satisfied = Unknown
+
+
+update.2.3.type = node
+update.2.3.nodeType = StandardTarget
+update.2.3.name = MedSup: MedSup.discount <<-?- Alice
+update.2.3.processing = opponent
+update.2.3.satisfied = Unknown
+
+update.2.4.type = node
+update.2.4.name = MedSup: MedSup.discount <<-?- Alice
+update.2.4.processing = verifier
+
+
+
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.1.childName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.1.childType = RoleTarget
+update.3.1.childProcessing = verifier
+update.3.1.evidence.1 = ReliefNet.provisioner<-MedixFund.purchasingA
+
+update.3.2.type = node
+update.3.2.nodeType = StandardTarget
+update.3.2.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.2.processing = verifier
+update.3.2.satisfied = Unknown
+
+
+update.3.3.type = node
+update.3.3.nodeType = StandardTarget
+update.3.3.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.4.processing = opponent
+
+
+update.3.5.type = edge
+update.3.5.edgeType = Control
+update.3.5.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.5.childName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.5.childType = RoleTarget
+update.3.5.childProcessing = opponent
+
+
+update.3.6.type = node
+update.3.6.nodeType = StandardTarget
+update.3.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.6.processing = opponent
+update.3.6.satisfied = Unknown
+
+
+update.3.7.type = edge
+update.3.7.edgeType = Implication
+update.3.7.parentName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.7.childName = Alice: ReliefNet.member <<-?- MedSup
+update.3.7.childType = RoleTarget
+update.3.7.childProcessing = verifier
+update.3.7.evidence.1 = MedixFund.cPartner<-ReliefNet.member
+
+update.3.8.type = node
+update.3.8.nodeType = StandardTarget
+update.3.8.name = Alice: ReliefNet.member <<-?- MedSup
+update.3.8.processing = verifier
+update.3.8.satisfied = Unknown
+
+
+update.3.9.type = node
+update.3.9.nodeType = StandardTarget
+update.3.9.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.9.processing = opponent
+update.3.9.satisfied = Unknown
+
+update.3.10.type = node
+update.3.10.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.10.processing = verifier
+
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = Alice: ReliefNet.member <<-?- MedSup
+update.4.1.childName = Alice: MedSup <<-?- MedSup
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+
+
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = Alice: MedSup <<-?- MedSup
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+
+update.4.3.type = node
+update.4.3.nodeType = StandardTarget
+update.4.3.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = TrivialTarget
+update.4.4.name = Alice: MedSup <<-?- MedSup
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = StandardTarget
+update.4.5.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.5.processing = verifier
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.nodeType = StandardTarget
+update.4.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.4.6.processing = fully
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.7.processing = opponent
+
+
+
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = Implication
+update.5.1.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.1.childName = MedSup: Alice <<-?- Alice
+update.5.1.childType = TrivialTarget
+update.5.1.childProcessing = fully
+
+
+update.5.2.type = node
+update.5.2.nodeType = TrivialTarget
+update.5.2.name = MedSup: Alice <<-?- Alice
+update.5.2.processing = fully
+update.5.2.satisfied = Satisfied
+
+
+update.5.3.type = node
+update.5.3.nodeType = StandardTarget
+update.5.3.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.3.processing = verifier
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.nodeType = TrivialTarget
+update.5.4.name = MedSup: Alice <<-?- Alice
+update.5.4.processing = fully
+update.5.4.satisfied = Satisfied
+
+update.5.5.type = node
+update.5.5.nodeType = StandardTarget
+update.5.5.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.5.processing = verifier
+update.5.5.satisfied = Satisfied
+
+update.5.6.type = node
+update.5.6.nodeType = StandardTarget
+update.5.6.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.5.6.processing = fully
+update.5.6.satisfied = Satisfied
+
+update.5.7.type = node
+update.5.7.nodeType = StandardTarget
+update.5.7.name = MedSup: MedSup.discount <<-?- Alice
+update.5.7.processing = fully
+update.5.7.satisfied = Satisfied
+
+update.5.8.type = node
+update.5.8.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.8.processing = opponent
+
+
+
+
Index: fedd/abac-src/atnvis/TestDataFromMike/MedSup2.prop
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/MedSup2.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/MedSup2.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,220 @@
+subject = MedSup
+
+update.2.location = local
+
+update.2.1.type = node
+update.2.1.name = MedSup: MedSup.discount <<-?- Alice
+update.2.1.nodeType = StandardTarget
+
+
+update.2.2.type = node
+update.2.2.nodeType = StandardTarget
+update.2.2.name = MedSup: MedSup.discount <<-?- Alice
+update.2.2.processing = unprocessed
+update.2.2.satisfied = Unknown
+
+
+update.2.3.type = node
+update.2.3.nodeType = StandardTarget
+update.2.3.name = MedSup: MedSup.discount <<-?- Alice
+update.2.3.processing = unprocessed
+update.2.3.satisfied = Unknown
+
+update.2.4.type = edge
+update.2.4.edgeType = Implication
+update.2.4.parentName = MedSup: MedSup.discount <<-?- Alice
+update.2.4.childName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.4.childType = RoleTarget
+update.2.4.childProcessing = verifier
+update.2.4.evidence.1 = MedSup.discount<-ReliefNet.provisioner
+
+
+update.2.5.type = node
+update.2.5.nodeType = StandardTarget
+update.2.5.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.2.5.processing = verifier
+update.2.5.satisfied = Unknown
+
+
+update.2.6.type = node
+update.2.6.nodeType = StandardTarget
+update.2.6.name = MedSup: MedSup.discount <<-?- Alice
+update.2.6.processing = opponent
+update.2.6.satisfied = Unknown
+
+update.2.7.type = node
+update.2.7.name = MedSup: MedSup.discount <<-?- Alice
+update.2.7.processing = verifier
+
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.1.childName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.1.childType = RoleTarget
+update.3.1.childProcessing = verifier
+
+
+update.3.2.type = node
+update.3.2.nodeType = StandardTarget
+update.3.2.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.2.processing = verifier
+update.3.2.satisfied = Unknown
+
+
+update.3.3.type = node
+update.3.3.nodeType = StandardTarget
+update.3.3.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.3.4.processing = opponent
+
+
+update.3.5.type = edge
+update.3.5.edgeType = Control
+update.3.5.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.3.5.childName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.5.childType = RoleTarget
+update.3.5.childProcessing = opponent
+
+
+update.3.6.type = node
+update.3.6.nodeType = StandardTarget
+update.3.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.6.processing = opponent
+update.3.6.satisfied = Unknown
+
+
+update.3.7.type = edge
+update.3.7.edgeType = Implication
+update.3.7.parentName = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.7.childName = Alice: ReliefNet.member <<-?- MedSup
+update.3.7.childType = RoleTarget
+update.3.7.childProcessing = verifier
+
+
+update.3.8.type = node
+update.3.8.nodeType = StandardTarget
+update.3.8.name = Alice: ReliefNet.member <<-?- MedSup
+update.3.8.processing = verifier
+update.3.8.satisfied = Unknown
+
+
+update.3.9.type = node
+update.3.9.nodeType = StandardTarget
+update.3.9.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.9.processing = opponent
+update.3.9.satisfied = Unknown
+
+update.3.10.type = node
+update.3.10.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.3.10.processing = verifier
+
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = Alice: ReliefNet.member <<-?- MedSup
+update.4.1.childName = Alice: MedSup <<-?- MedSup
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+
+
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = Alice: MedSup <<-?- MedSup
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+
+update.4.3.type = node
+update.4.3.nodeType = StandardTarget
+update.4.3.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = TrivialTarget
+update.4.4.name = Alice: MedSup <<-?- MedSup
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = StandardTarget
+update.4.5.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.5.processing = verifier
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.nodeType = StandardTarget
+update.4.6.name = Alice: MedixFund.cPartner <<-?- MedSup
+update.4.6.processing = fully
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.name = Alice: ReliefNet.member <<-?- MedSup
+update.4.7.processing = opponent
+
+
+
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = Implication
+update.5.1.parentName = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.1.childName = MedSup: Alice <<-?- Alice
+update.5.1.childType = TrivialTarget
+update.5.1.childProcessing = fully
+
+
+update.5.2.type = node
+update.5.2.nodeType = TrivialTarget
+update.5.2.name = MedSup: Alice <<-?- Alice
+update.5.2.processing = fully
+update.5.2.satisfied = Satisfied
+
+
+update.5.3.type = node
+update.5.3.nodeType = StandardTarget
+update.5.3.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.3.processing = verifier
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.nodeType = TrivialTarget
+update.5.4.name = MedSup: Alice <<-?- Alice
+update.5.4.processing = fully
+update.5.4.satisfied = Satisfied
+
+update.5.5.type = node
+update.5.5.nodeType = StandardTarget
+update.5.5.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.5.processing = verifier
+update.5.5.satisfied = Satisfied
+
+update.5.6.type = node
+update.5.6.nodeType = StandardTarget
+update.5.6.name = MedSup: ReliefNet.provisioner <<-?- Alice
+update.5.6.processing = fully
+update.5.6.satisfied = Satisfied
+
+update.5.7.type = node
+update.5.7.nodeType = StandardTarget
+update.5.7.name = MedSup: MedSup.discount <<-?- Alice
+update.5.7.processing = fully
+update.5.7.satisfied = Satisfied
+
+update.5.8.type = node
+update.5.8.name = MedSup: MedixFund.purchasingA <<-?- Alice
+update.5.8.processing = opponent
+
+
+
+
Index: fedd/abac-src/atnvis/TestDataFromMike/MedSup3.prop
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/MedSup3.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/MedSup3.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,152 @@
+subject = MedSup
+
+update.1.location = local
+
+update.1.1.type = node
+update.1.1.nodeType = RoleTarget
+update.1.1.name = MedSup: MedSup.discount <-- Alice
+update.1.1.processing = opponent
+
+update.1.2.type = edge
+update.1.2.edgeType = Implication
+update.1.2.parentName = MedSup: MedSup.discount <-- Alice
+update.1.2.childName = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.1.2.childType = IntersectionTarget
+update.1.2.childProcessing = verifier
+
+update.1.3.type = node
+update.1.3.name = MedSup: MedSup.discount <-- Alice
+update.1.3.processing = verifier
+
+update.1.4.type = edge
+update.1.4.edgeType = Intersection
+update.1.4.parentName = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.1.4.childName = MedSup: A.r <-- Alice
+update.1.4.childType = RoleTarget
+update.1.4.childProcessing = verifier
+
+update.1.5.type = edge
+update.1.5.edgeType = Intersection
+update.1.5.parentName = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.1.5.childName = MedSup: ReliefNet.provisioner <-- Alice
+update.1.5.childType = RoleTarget
+update.1.5.childProcessing = verifier
+
+
+update.2.location = remote
+
+update.2.1.type = edge
+update.2.1.edgeType = Implication
+update.2.1.parentName = MedSup: ReliefNet.provisioner <-- Alice
+update.2.1.childName = MedSup: MedixFund.purchasingA <-- Alice
+update.2.1.childType = RoleTarget
+update.2.1.childProcessing = verifier
+
+update.2.2.type = node
+update.2.2.name = MedSup: ReliefNet.provisioner <-- Alice
+update.2.2.processing = opponent
+
+
+update.2.3.type = edge
+update.2.3.edgeType = Implication
+update.2.3.parentName = MedSup: A.r <-- Alice
+update.2.3.childName = MedSup: Alice <-- Alice
+update.2.3.childType = TrivialTarget
+update.2.3.childProcessing = verifier
+
+update.2.4.type = node
+update.2.4.name = MedSup: Alice <-- Alice
+update.2.4.processing = full
+update.2.4.satisfied = Satisfied
+
+update.2.5.type = node
+update.2.5.name = MedSup: A.r <-- Alice
+update.2.5.processing = opponent
+update.2.5.satisfied = Satisfied
+
+update.2.6.type = edge
+update.2.6.edgeType = Control
+update.2.6.parentName = MedSup: MedixFund.purchasingA <-- Alice
+update.2.6.childName = Alice: MedixFund.cPartner <-- MedSup
+update.2.6.childType = RoleTarget
+update.2.6.childProcessing = opponent
+
+update.2.7.type = edge
+update.2.7.edgeType = Implication
+update.2.7.parentName = Alice: MedixFund.cPartner <-- MedSup
+update.2.7.childName = Alice: ReliefNet.member <-- MedSup
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+
+update.2.8.type = node
+update.2.8.name = Alice: MedixFund.cPartner <-- MedSup
+update.2.8.processing = verifier
+
+
+update.3.location = local
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = Alice: ReliefNet.member <-- MedSup
+update.3.1.childName = Alice: MedSup <-- MedSup
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = full
+
+update.3.2.type = node
+update.3.2.name = Alice: MedSup <-- MedSup
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.name = Alice: ReliefNet.member <-- MedSup
+update.3.3.processing = verifier
+update.3.3.satisfied = Satisfied
+
+update.3.4.type = node
+update.3.4.name = Alice: MedixFund.cPartner <-- MedSup
+update.3.4.processing = full
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.name = Alice: ReliefNet.member <-- MedSup
+update.3.5.processing = opponent
+
+
+update.4.location = remote
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = MedSup: MedixFund.purchasingA <-- Alice
+update.4.1.childName = MedSup: Alice <-- Alice
+update.4.1.childType = RoleTarget
+update.4.1.childProcessing = full
+
+update.4.2.type = node
+update.4.2.name = MedSup: Alice <-- Alice
+update.4.2.processing = full
+update.4.2.satisfied = Satisfied
+
+update.4.3.type = node
+update.4.3.name = MedSup: MedixFund.purchasingA <-- Alice
+update.4.3.processing = verifier
+update.4.3.satisfied = Satisfied
+
+update.4.4.type = node
+update.4.4.name = MedSup: ReliefNet.provisioner <-- Alice
+update.4.4.processing = full
+update.4.4.satisfied = Satisfied
+
+
+update.4.5.type = node
+update.4.5.name = MedSup: A.r ^ ReliefNet.provisioner <-- Alice
+update.4.5.processing = full
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.name = MedSup: MedSup.discount <-- Alice
+update.4.6.processing = full
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.name = MedSup: MedixFund.purchasingA <-- Alice
+update.4.7.processing = opponent
+
Index: fedd/abac-src/atnvis/TestDataFromMike/atnvis.properties
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/atnvis.properties	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/atnvis.properties	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,94 @@
+# Window properties
+atnvis.window.Title = Automated Trust Negotiation Visualization
+atnvis.window.Height = 768
+atnvis.window.Width = 1024
+
+
+# Control properties
+atnvis.control.DefaultDelay = 500
+atnvis.control.Loop = true
+
+
+# Parser
+atnvis.parser=com.algomagic.atn.PropertyLogParser
+atnvis.parser.IgnoreProcessing = true
+
+
+# Graph properties
+atnvis.graph.Scale = 0.8
+atnvis.graph.ShadowColor = grey90
+
+
+# Default node properties
+atnvis.node.Default.style = solid,filled
+atnvis.node.Default.color = purple
+atnvis.node.Default.shape = box
+atnvis.node.Default.fontname = TimesRoman
+atnvis.node.Default.fontcolor = black
+atnvis.node.Default.fontsize = 14
+atnvis.node.Default.fontstyle = normal
+
+
+# Default edge properties:
+atnvis.edge.Default.style = solid
+atnvis.edge.Default.color = black
+atnvis.edge.Default.direction = back
+
+
+atnvis.node.StandardTarget.shape = octagon
+atnvis.node.RoleTarget.shape = octagon
+atnvis.node.IntersectionTarget.shape = house
+atnvis.node.LinkingGoal.shape = box
+atnvis.node.LinkedRoleTarget.shape = trapezium
+atnvis.node.TrivialTarget.shape = invhouse
+
+
+atnvis.node.processed.Unprocessed.color = yellow
+atnvis.node.processed.Opponent.color = lightblue
+atnvis.node.processed.Verifier.color = lightgoldenrod
+atnvis.node.processed.Fully.color = lightseagreen
+
+atnvis.node.satisfied.Satisfied.color = green
+atnvis.node.satisfied.Failed.color = red
+atnvis.node.satisfied.Unknown.color = white
+
+#atnvis.node.satisfied.Satisfied.shape = tripleoctagon
+#atnvis.node.satisfied.Failed.shape = doubleoctagon
+
+
+# Standard Implication Edge properties
+atnvis.edge.Implication.color = purple4
+atnvis.edge.Implication.style = solid
+atnvis.edge.Implication.color.bold = purple1
+atnvis.edge.Implication.style.bold = dashed
+
+# Linking-Monitor Edge properties
+atnvis.edge.LinkingMonitor.color = royalblue4
+atnvis.edge.LinkingMonitor.style = solid
+atnvis.edge.LinkingMonitor.color.bold = royalblue1
+atnvis.edge.LinkingMonitor.style.bold = dashed
+
+
+# Linking-Solution Edge properties
+atnvis.edge.LinkingSolution.color = gold4
+atnvis.edge.LinkingSolution.style = solid
+atnvis.edge.LinkingSolution.color.bold = gold1
+atnvis.edge.LinkingSolution.style.bold = dashed
+
+# Linking-Implication Edge properties
+atnvis.edge.LinkingImplication.color = darkolivegreen4
+atnvis.edge.LinkingImplication.style = solid
+atnvis.edge.LinkingImplication.color.bold = darkolivegreen1
+atnvis.edge.LinkingImplication.style.bold = dashed
+
+# Intersection Edge properties
+atnvis.edge.Intersection.color = orange4
+atnvis.edge.Intersection.style = solid
+atnvis.edge.Intersection.color.bold = orange1
+atnvis.edge.Intersection.style.bold = dashed
+
+# Control Edge properties
+atnvis.edge.Control.color = sienna4
+atnvis.edge.Control.style = solid
+atnvis.edge.Control.color.bold = sienna1
+atnvis.edge.Control.style.bold = dashed
Index: fedd/abac-src/atnvis/TestDataFromMike/atnvis_showproc.properties
===================================================================
--- fedd/abac-src/atnvis/TestDataFromMike/atnvis_showproc.properties	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/TestDataFromMike/atnvis_showproc.properties	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,94 @@
+# Window properties
+atnvis.window.Title = Automated Trust Negotiation Visualization
+atnvis.window.Height = 768
+atnvis.window.Width = 1024
+
+
+# Control properties
+atnvis.control.DefaultDelay = 500
+atnvis.control.Loop = true
+
+
+# Parser
+atnvis.parser=com.algomagic.atn.PropertyLogParser
+atnvis.parser.IgnoreProcessing = false
+
+
+# Graph properties
+atnvis.graph.Scale = 0.8
+atnvis.graph.ShadowColor = grey90
+
+
+# Default node properties
+atnvis.node.Default.style = solid,filled
+atnvis.node.Default.color = purple
+atnvis.node.Default.shape = box
+atnvis.node.Default.fontname = TimesRoman
+atnvis.node.Default.fontcolor = black
+atnvis.node.Default.fontsize = 14
+atnvis.node.Default.fontstyle = normal
+
+
+# Default edge properties:
+atnvis.edge.Default.style = solid
+atnvis.edge.Default.color = black
+atnvis.edge.Default.direction = back
+
+
+atnvis.node.StandardTarget.shape = octagon
+atnvis.node.RoleTarget.shape = octagon
+atnvis.node.IntersectionTarget.shape = house
+atnvis.node.LinkingGoal.shape = box
+atnvis.node.LinkedRoleTarget.shape = trapezium
+atnvis.node.TrivialTarget.shape = invhouse
+
+
+atnvis.node.processed.Unprocessed.color = yellow
+atnvis.node.processed.Opponent.color = lightblue
+atnvis.node.processed.Verifier.color = lightgoldenrod
+atnvis.node.processed.Fully.color = lightseagreen
+
+#atnvis.node.satisfied.Satisfied.color = green
+#atnvis.node.satisfied.Failed.color = red
+#atnvis.node.satisfied.Unknown.color = white
+
+atnvis.node.satisfied.Satisfied.shape = tripleoctagon
+atnvis.node.satisfied.Failed.shape = doubleoctagon
+
+
+# Standard Implication Edge properties
+atnvis.edge.Implication.color = purple4
+atnvis.edge.Implication.style = solid
+atnvis.edge.Implication.color.bold = purple1
+atnvis.edge.Implication.style.bold = dashed
+
+# Linking-Monitor Edge properties
+atnvis.edge.LinkingMonitor.color = royalblue4
+atnvis.edge.LinkingMonitor.style = solid
+atnvis.edge.LinkingMonitor.color.bold = royalblue1
+atnvis.edge.LinkingMonitor.style.bold = dashed
+
+
+# Linking-Solution Edge properties
+atnvis.edge.LinkingSolution.color = gold4
+atnvis.edge.LinkingSolution.style = solid
+atnvis.edge.LinkingSolution.color.bold = gold1
+atnvis.edge.LinkingSolution.style.bold = dashed
+
+# Linking-Implication Edge properties
+atnvis.edge.LinkingImplication.color = darkolivegreen4
+atnvis.edge.LinkingImplication.style = solid
+atnvis.edge.LinkingImplication.color.bold = darkolivegreen1
+atnvis.edge.LinkingImplication.style.bold = dashed
+
+# Intersection Edge properties
+atnvis.edge.Intersection.color = orange4
+atnvis.edge.Intersection.style = solid
+atnvis.edge.Intersection.color.bold = orange1
+atnvis.edge.Intersection.style.bold = dashed
+
+# Control Edge properties
+atnvis.edge.Control.color = sienna4
+atnvis.edge.Control.style = solid
+atnvis.edge.Control.color.bold = sienna1
+atnvis.edge.Control.style.bold = dashed
